Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoStochTournamentWorthSelect< EOT, WorthT > Class Template Reference

An instance of eoSelectPerf2Worth that does selection from the Worthes using a ... More...

`#include <eoSelectFromWorth.h>`

Inheritance diagram for eoStochTournamentWorthSelect< EOT, WorthT >:

List of all members.

## Public Types
typedef std::vector< WorthT >::iterator | worthIterator
## Public Member Functions
| eoStochTournamentWorthSelect (eoPerf2Worth< EOT, WorthT > &_perf2Worth, double _tRate)
virtual const EOT & | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
double | tRate

## Detailed Description

### template<class EOT, class WorthT = double>
class eoStochTournamentWorthSelect< EOT, WorthT >

An instance of eoSelectPerf2Worth that does selection from the Worthes using a ...

stochastic tournament, yes!

Definition at line 128 of file eoSelectFromWorth.h.

The documentation for this class was generated from the following file:

- eoSelectFromWorth.h